from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore.utils import ToolInit, ContentInit
from Products.Archetypes.public import listTypes, process_types
from config import packageName, packageGlobals

registerDirectory('skins', packageGlobals)


def initialize(context):

   import MediaTool

   ToolInit('Media Tool',
	tools = (MediaTool.MediaTool,),
	product_name = packageName,
	icon = 'tool.gif',
   ).initialize(context)


   import MediaReference

   content_types, constructors, ftis = process_types(
        listTypes(packageName), packageName)
    
   ContentInit(
        '%s Content' % packageName,
        content_types = content_types,
        permission = AddPortalContent,
        extra_constructors = constructors,
        fti = ftis,
   ).initialize(context)


from Products.PythonScripts.Utility import allow_module
allow_module('base64')
allow_module('zlib')

# import MonkeyPatches

