## Script (Python) "media_reference_cleanup"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=go=None
##title=Removes all unused media references from the media tool
##
from Products.CMFCore.utils import getToolByName
mtool = getToolByName(container, 'media_tool')
rtool = getToolByName(container, 'reference_catalog')
relationship = 'media'

def path(obj):
    return '/'.join(obj.getPhysicalPath()[2:])

unused = []
for ref in mtool.getMediaReferences():
    brefs = ref.getBackReferences(relationship)
    if brefs:
        paths = ', '.join(map(path, brefs))
        print '%s (%s) used by %s' % (ref.getId(), ref.mediaUID, paths)
    else:
        unused.append(ref)

print
for ref in unused:
    if go:
        mtool.destroyMediaReference(ref.UID())
        print 'deleted unused media ref at %s' % path(ref)
    else:
        print 'unused media ref at %s' % path(ref)

return printed
