## Python Script "media_handshake_start"
##bind container=container
##bind context=context
##bind namespace=ns
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Starts a handshake session between media tool and db
##
from Products.CMFCore.utils import getToolByName
from base64 import encodestring
from zlib import compress

sep = '\n'
mtool = getToolByName(container, 'media_tool')
utool = getToolByName(container, 'portal_url')

args = sep.join((utool(), utool.getRelativeContentURL(context)))
args = encodestring(compress(args)).replace('\n', '')
url = '%s/media_handshake_response/%s' % (mtool.getMediaDBUrl(), args)

if mtool.pingMediaServer():
    context.REQUEST.RESPONSE.redirect(url, lock=1) 

return context.media_handshake_unavailable()
