## Controller Python Script "media_reference_move_down"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=references=None, info=None
##title=Move the position of media references downwards
##
from Products.CMFCore.utils import getToolByName
mtool = getToolByName(container, 'media_tool')
lookup = mtool.getMediaReference

if not references:
    message = ('Please select one or more references.', 'select_references_first')
    errors = { 'reference': message }
    return state.set(status='failure', errors=errors, portal_status_message=message[0])

titles = []
for n in range(len(info) - 2, -1, -1):
    if info[n]['uid'] in references:
	titles.append(info[n]['title'])
	tmp = info[n]
	info[n] = info[n + 1]
	info[n + 1] = tmp

position = 0
for i in info:
    ref = lookup(i['uid'])
    ref.setProperties(position=position)
    position += 1

message = 'Reference(s) moved. (%s)' % ', '.join(titles)
return state.set(status='success', portal_status_message=message)
